# Uses of Class
org.apache.sling.commons.json.util.ParserConfiguration

Packages that use ParserConfiguration
Package
Description
org.apache.sling.commons.json.util

## Uses of ParserConfiguration in org.apache.sling.commons.json.util

Methods in org.apache.sling.commons.json.util with type parameters of type ParserConfiguration
Modifier and Type
Method
Description
`<T extends ParserConfiguration>
T`
ParserConfiguration.`withKeepStrings(boolean newVal)`
Deprecated.
When parsing the XML into JSONML, specifies if values should be kept as strings (`true`), or if they should try to be guessed into JSON values (numeric, boolean, string)
`<T extends ParserConfiguration>
T`
ParserConfiguration.`withMaxNestingDepth(int maxNestingDepth)`
Deprecated.
Defines the maximum nesting depth that the parser will descend before throwing an exception when parsing the XML into JSONML.
Methods in org.apache.sling.commons.json.util that return ParserConfiguration
Modifier and Type
Method
Description
`protected ParserConfiguration`
ParserConfiguration.`clone()`
Deprecated.
Provides a new instance of the same configuration.